using FluentValidation;
using Indotalent.Shared.Consts;

namespace Indotalent.Features.Pipeline.Campaign.Cqrs;

public class CreateCampaignValidator : AbstractValidator<CreateCampaignRequest>
{
    public CreateCampaignValidator()
    {
        RuleFor(x => x.Title).NotEmpty().MaximumLength(GlobalConsts.StringLengthShort);
        RuleFor(x => x.SalesTeamId).NotEmpty().WithMessage("Sales Team is required");
    }
}